restic backup(1)

NAME

restic-tag - Modify tags on snapshots

SYNOPSIS

restic tag [flags] [snapshot-ID ...]

DESCRIPTION

The "tag" command allows you to modify tags on exiting snapshots.

You can either set/replace the entire set of tags on a snapshot, or add tags to/remove tags from the existing set.

When no snapshot-ID is given, all snapshots matching the host, tag and path filter criteria are modified.

OPTIONS

--add=[]
    tag which will be added to the existing tags (can be given multiple times)

-h, --help[=false]
    help for tag

-H, --host=""
    only consider snapshots for this host, when no snapshot ID is given

--path=[]
    only consider snapshots which include this (absolute) path, when no snapshot-ID is given

--remove=[]
    tag which will be removed from the existing tags (can be given multiple times)

--set=[]
    tag which will replace the existing tags (can be given multiple times)

--tag=[]
    only consider snapshots which include this taglist, when no snapshot-ID is given

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    path to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

SEE ALSO

restic(1)